Token payroll

Archive Payroll Items

Archives selected payroll reporting items by recording exclusion rows with a reason.

POSThttps://api.toku.com/tga/archive-payroll-items

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/tga/archive-payroll-items' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "items": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "itemType": "VESTING"
    }
  ],
  "reason": "string"
}'
200 response
{
  "success": true,
  "archivedCount": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

itemsobject[]required

Allowed: at least 1 items

Show child attributes
idstring<uuid>required
itemTypestringrequired

Available options: VESTING, LOCKUP, WARRANT_LOCKUP

reasonstringrequired

Allowed: at least 1 characters

Response

200Successful response
successbooleanrequired
archivedCountintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits